@import '../font-awesome/font-awesome.scss';

//Customizes Typography
p {
    @include font-size(8);
    @include line-height (16);
    font: {
        family: Poppins;
        //size: 1.2rem;
        weight: 300;
    }
    color: $t_Light_1;
    /*line-height: 2;*/
    .dark &{
      color: $t_LightMost;
    }
}

body {
  -webkit-font-smoothing: antialiased;
  @extend p;
}

h1,
h2{
  text-transform: uppercase;
  font: {
      family: Poppins;
  }
}

h3,
h4,
h5,
h6{
  text-transform: uppercase;
  font: {
      family: 'bebas_neue_regularregular';
      weight: normal;
  }
}

.button{
  font: {
    family: 'bebas_neueregular';
  }
  padding:20px 70px 10px 80px;
  // padding from right and left different
  //because letter spacing gives*2 space to right
  letter-spacing: 5px;
  color: $t_Dark_1;
  &:hover{
    color:$t_Dark_3;
  }
  & .secondary {
    &:hover{
      color:$t_Dark_2;
    }
  }
}

form .button {
    padding: 0;
}

a{
  @extend p;
  color: $t_Dark_2;
  margin-bottom:0px;
  display: inline-block;
	position: relative;
	padding-bottom: 0.15em;
  @include transition(all 200ms ease-in-out);
  &:hover, &:focus {
  color: $t_Dark_3;
  }

  &:after, {
	content: '';
	display: block;
	margin: auto;
	height: 0.15em;
	width: 0px;
	background: transparent;
  @include transition(all 200ms ease-in-out);

  }
  &:hover:after, &:focus:after {
  	width: 100%;
  	background: $yellow;
    @include transition(all 200ms ease-in-out);
  }

  .dark & {
    color: $t_LightMost;
  }
}
ul{
  list-style-type: none;
  li {
    margin-bottom: 8px;
  }
}
.currentItem{
  opacity:.5;
  &:after, {
	content: '';
	display: block;
	margin: auto;
	height: 0.15em;
	width: 0px;
	background: transparent;
  @include transition(all 200ms ease-in-out);

  }
  &:hover:after, &:focus:after {
  	width: 100%;
  	background: $yellow;
    @include transition(all 200ms ease-in-out);
  }
}

.noUnderLineOnhover{
  @extend a;
  &:after {
	display: none;
  }
}


.h1Class{
  @extend h1;
  letter-spacing: -5px;
  font:{
    weight:800;
    //size:9.5em;
  }
}

.h1ClassThin{
  display: inline-block;
  font:{
    weight:300;
  }
}

.h2Class {
  @include font-size(76);

  letter-spacing: -5px;
  font:{
    weight:800;
    //size:9.5em;
  }

}

.h3Class {
  @include font-size(21);
  font: {
    family: 'bebas_neuebook';
    //size: 2.6em;
    //weight: 300;
  }
  color: $t_DarkMost;
  letter-spacing: 3px;
  .dark &{
    color: $t_LightMost;
  }
}

.h4Class {
  @include font-size(10);
  color: $t_Dark_1;
  font: {
    family: 'bebas_neueregular';
    //size: 2.6em;
    //weight: 400;
  }
  letter-spacing: 5px;
  .dark &{
    color: $t_LightMost;
  }
}

.h5Class {
  @include font-size(10);
  color: $t_Dark_1;
  font: {
    family: 'bebas_neueregular';
    //size: 2.6em;
    //weight: 400;
  }
  letter-spacing: 5px;
  .dark &{
    color: $t_LightMost;
  }
}

.date {
  position: relative;
  @include font-size(6);
  font-weight: 400;
  letter-spacing: 3px;
  text-align:center;
  color:$t_Light_1;
}
